X/* @(#)rquota.x 1.4 88/02/08 Copyr 1987 Sun Micro */ 
X 
X/* 
X * Remote quota protocol 
X * Requires unix authentication 
X */ 
X 
Xconst RQ_PATHLEN = 1024; 
X 
Xstruct getquota_args { 
X	string gqa_pathp<RQ_PATHLEN>; /* path to filesystem of interest */ 
X	int gqa_uid;	 /* inquire about quota for uid */ 
X}; 
X 
X/* 
X * remote quota structure 
X */ 
Xstruct rquota { 
X	int rq_bsize;	 /* block size for block counts */ 
X	bool rq_active; /* indicates whether quota is active */ 
X	unsigned int rq_bhardlimit;	/* absolute limit on disk blks alloc */ 
X	unsigned int rq_bsoftlimit;	/* preferred limit on disk blks */ 
X	unsigned int rq_curblocks;	/* current block count */ 
X	unsigned int rq_fhardlimit;	/* absolute limit on allocated files */ 
X	unsigned int rq_fsoftlimit;	/* preferred file limit */ 
X	unsigned int rq_curfiles;	/* current # allocated files */ 
X	unsigned int rq_btimeleft;	/* time left for excessive disk use */ 
X	unsigned int rq_ftimeleft;	/* time left for excessive files */ 
X};	
X 
Xenum gqr_status { 
X	Q_OK = 1,	 /* quota returned */ 
X	Q_NOQUOTA = 2, /* noquota for uid */ 
X	Q_EPERM = 3	 /* no permission to access quota */ 
X}; 
X 
Xunion getquota_rslt switch (gqr_status status) { 
Xcase Q_OK: 
X	rquota gqr_rquota;	/* valid if status == Q_OK */ 
Xcase Q_NOQUOTA: 
X	void; 
Xcase Q_EPERM: 
X	void; 
X}; 
X 
Xprogram RQUOTAPROG { 
X	version RQUOTAVERS { 
X	 /* 
X	 * Get all quotas 
X	 */ 
X	 getquota_rslt 
X	 RQUOTAPROC_GETQUOTA(getquota_args) = 1; 
X 
X	 /* 
X	 * Get active quotas only 
X	 */ 
X	 getquota_rslt 
X	 RQUOTAPROC_GETACTIVEQUOTA(getquota_args) = 2; 
X	} = 1; 
X} = 100011; 
